# Monitoring plugin to check debug mode activation in Authentic2 configuration

This Icinga/Nagios check plugin permit to check if debug mode is enabled in Authentic2 configuration.

Authentic2 debug should never been activated in production for security reason and log size problematic.

## Installation

```
apt install git sed
git clone https://git.easter-eggs.org/brenard/check_authentic2_debug.git /usr/local/src/check_authentic2_debug
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_authentic2_debug/check_authentic2_debug /usr/local/lib/nagios/plugins/
echo "nagios ALL=NOPASSWD: /usr/local/lib/nagios/plugins/check_authentic2_debug" > /etc/sudoers.d/nagios-authentic2
chmod 0400 /etc/sudoers.d/nagios-authentic2
echo "command[check_authentic2_debug]=sudo /usr/local/lib/nagios/plugins/check_authentic2_debug" > /etc/nagios/nrpe.d/authentic2.cfg
service nagios-nrpe-server reload
```

## Usage

```
Usage : check_authentic2_debug [-d] [-h] [options]
	-h 		Show this message
	-d		Debug mode
	-f [path]	Path of configuration file to check
```

## Copyright

Copyright (c) 2022 Easter-eggs, Benjamin Renard

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

